> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Delete insurance refund

DELETE https://api.taigabilling.com/api/insurance-refunds/v1/{insurance_refund_id}

Deletes the insurance refund record matching the provided `insurance_refund_id`.
If the matching record's organization_id does not match the authenticated user's
current organization_id, then a response code of `403` will be returned.

Reference: https://docs.taigabilling.com/api-reference/insurance-refunds-v-1/insurance-refunds-v-1-delete

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `insurance_refund_id` (string, required)

## Errors

### 403 Forbidden Error

- `InsuranceRefunds_v1_deleteRequestForbiddenError`
  - InsuranceRefundsV1DeleteRequestForbiddenError0

### 404 Not Found Error

- `InsuranceRefunds_v1_deleteRequestNotFoundError`
  - InsuranceRefundsV1DeleteRequestNotFoundError0

### 422 Unprocessable Entity Error

- `InsuranceRefunds_v1_deleteRequestUnprocessableEntityError`
  - InsuranceRefundsV1DeleteRequestUnprocessableEntityError0

## Types

### InsuranceRefundsV1DeleteRequestForbiddenError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnauthorizedErrorMessage, optional)

### InsuranceRefundsV1DeleteRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (EntityNotFoundErrorMessage, optional)

### InsuranceRefundsV1DeleteRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### UnauthorizedErrorMessage

- `message` (string, optional, nullable)

### EntityNotFoundErrorMessage

- `id` (string, required)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

## Examples

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/insurance-refunds/v1/insurance_refund_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```